Bug 430407 - Coreutils now obsoletes itself
Coreutils now obsoletes itself
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 13:11 EST by Jason Tibbitts
Modified: 2008-01-29 08:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 08:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2008-01-27 13:11:35 EST
Due to this:
  Obsoletes: mktemp
  Provides: mktemp = %{version}-%{release}
coreutils now obsoletes itself.  Also, mktemp had an epoch, which needs to be
preserved.  See the "Renaming or Replacing Existing Packages" section of
http://fedoraproject.org/wiki/Packaging/NamingGuidelines

This looks correct according to the above guideline:
  Obsoletes: mktemp < 3:1.5-26
  Provides: mktemp = 3:1.5-27
The last version of the mktemp package in rawhide was 3:1.5-25, so obsolete
everything less than 3:1.5-26 and provide something slightly larger than that. 
Of course, if the version in F7 or F8 gets updated, it will need to use
sub-revisions (1.5-25.fc8.1) or you'll have to change these to maintain the
upgrade path.
Comment 1 Ondrej Vasik 2008-01-27 13:38:46 EST
Thanks for report ... will fix that soon - anyway I have to speak with current
mktemp maintainer about the situation and possible removal of the mktemp package
from rawhide... 
Comment 2 Jindrich Novy 2008-01-28 04:56:48 EST
One of the possible solutions is epoch increase in the mktemp Provides in
coreutils as it has completely different version than the mktemp upstream, which
is independent on coreutils.
Comment 3 Ondrej Vasik 2008-01-28 06:14:32 EST
(just want to mention that completely different but 100% compatible)
I see following solutions:
1) The one suggested by jnovy in comment two (to use Obsoletes: mktemp <
4:%{version}-%{release} , Provides: 4:%{version}-%{release} - as this is
different implementation, coreutils mktemp version is completely different than
upstream (0:6.10 - coreutils, 3:1.5-25 - BSD mktemp upstream) )
2) To not ship coreutils mktemp and use the old mktemp (and no
Provides/Obsoletes: mktemp)

As the last upstream version is more than 4.5 years old I would prefer the first
one - as GNU coreutils upstream is much more active. (adding mktemp fedora
maintainer to cc)
Comment 4 Ondrej Vasik 2008-01-29 08:14:31 EST
Used solution #1 in coreutils-6.10-2.fc9 ... closing RAWHIDE, feel free to add
comments here, but I think that mktemp drop discussion is in bugzilla #226147
and non-versioned obsolete problem was fixed now.

Note You need to log in before you can comment on or make changes to this bug.